function [P_out, V_out, A_out] = ECEF_mech(constants,P_in, V_in, A_in, w_b__i_b_tilde, f_b__i_b_tilde)
% FUNCTION DESCRIPTION:
%   Implements the low-fidelity ECEF Mechanization
%
% INPUTS:
%   constants = structure containing constants
%   P_in    = Past position r_e__e_b(-) (meters)
%   V_in    = Past velocity r_e__e_b(-) (meters/sec)
%   A_in    = Past attitude/orientation as a rotation matrix C_e__e(-)
%   w_b__i_b_tilde = Current Gyro measurements
%   f_b__i_b_tilde = Current Accel measurements
%
% OUTPUTS:
%   P_out   = Updated position r_e__e_b(+) (meters)
%   V_out   = Updated velocity r_e__e_b(+) (meters/sec)
%   A_out   = Updated attitude/orientation as a rotation matrix C_e__e(+)

dt = constants.dt;      % Time step


% ECEF Mechanization: One iteration of the mechanization

%--------------------------------------------------------------------------
% STEP 1.) Attitude Update
????

%--------------------------------------------------------------------------
% STEP 2.) Specific Force Update
????

%--------------------------------------------------------------------------
% STEP 3.) Velocity Update
????

%--------------------------------------------------------------------------
% STEP 4.) Position Update
????

end
